Download it now!
Bug 121282 - FILEOPEN XLSX Chart area created with Excel shrinks when the document is opened in Calc
Summary: FILEOPEN XLSX Chart area created with Excel shrinks when the document is open...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:6.3.0 target:6.2.0.1 target:6.1.5
Keywords: bibisected, bisected, filter:xlsx, regression
Depends on:
Blocks:
 
Reported: 2018-11-08 16:43 UTC by Gabor Kelemen
Modified: 2018-12-03 11:50 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
4.1 vs 6.2 (176.69 KB, image/png)
2018-11-08 21:11 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2018-11-08 16:43:37 UTC
See attachment #146447 [details] and attachment #146448 [details] from bug #121279

Imported Pie chart area in XLSX document created with Microsoft Excel 2010 shrinks when the document is opened in LibreOffice Calc 6.2.0.0.alpha1+.

Steps to reproduce:

    1. Open the attachment #146447 [details] in LibreOffice Calc
    2. View attachment #146448 [details] screenshot
    3. Notice that the upper chart area appears shrunken

Actual results:
The upper chart area shrinks when the document is opened in LibreOffice Calc 6.2.0.0.alpha1+.

Expected results:
The upper chart area should have the same size as the original file when the document is opened in Microsoft Excel 2010

LibreOffice details:
Version: 6.2.0.0.alpha1+
Build ID: 2cef68a605494bcef0388201b1058c95788c45a8
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); Calc: threaded
Comment 1 raal 2018-11-08 21:11:07 UTC
Created attachment 146465 [details]
4.1 vs 6.2

Confirm with Version: 6.2.0.0.alpha1+
Build ID: b0da1ca2d7a426ff13f39b21362fbcd5c0580c24
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 
Looks OK in 4.1
Comment 2 Xisco Faulí 2018-11-09 13:26:14 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=790f9abeb1a1167ad5ab84c5fb855b36669c125b

author	Szymon Kłos <szymon.klos@collabora.com>	2018-01-04 22:15:32 +0100
committer	Szymon Kłos <szymon.klos@collabora.com>	2018-01-29 23:49:42 +0100
commit	790f9abeb1a1167ad5ab84c5fb855b36669c125b (patch)
tree	dea7c957b67be7518d2092614b82f18148817265
parent	a1f933ee2b9e23a505d937035821e9571cf4119c (diff)
tdf#114821 import complex data labels in bar chart

Bisected with: bibisect-linux64-6.1

Adding Cc: to Szymon Kłos

I guess this is directly related to bug 121279, if labels were wrapped, the chart would hame more space and it wouldn't shrink
Comment 3 Commit Notification 2018-11-30 02:07:31 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6a04b9298ae993881d20fc4b5aa91516d4df6695%5E%21

tdf#121282, tdf#121279, set text properties also on complex data labels

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-11-30 07:31:23 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ef921ee138d563706bd2f3edeb13f737fabe03ec%5E%21

tdf#121282, tdf#121279, set text properties also on complex data labels

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-11-30 20:42:50 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/5c380a7fe3b3399002aabdc980842ce46a50d012%5E%21

tdf#121282, tdf#121279, set text properties also on complex data labels

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-12-03 11:50:27 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 4da61d4cc8f70ff62d7bac23a1b97d9d7011a678
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Markus Mohrhard, thanks for fixing this!!